The application topaz defines the following object types:

SimplicialComplex

Each type is accompanied with alphabetically sorted lists of properties and public methods, both own and inherited from parent types. The items are links to the detailed descriptions.

Underlined is the default type for this application.

The methods inherited from Poly::Object are described on a separate page, as they are only needed for advanced scripting.

SimplicialComplex
An abstract simplicial complex represented by its facets.
properties:

BALANCED | EULER_CHARACTERISTIC | MORSE_MATCHING_CRITICAL_FACES
BALL | F2_VECTOR | MORSE_MATCHING_CRITICAL_FACE_VECTOR
BIPARTITE | FACETS | MORSE_MATCHING_N_CRITICAL_FACES
BOUNDARY_OF_PSEUDO_MANIFOLD | FOLDABLE | MORSE_MATCHING_SIZE
CLOSED_PSEUDO_MANIFOLD | FUNDAMENTAL_GROUP | N_CONNECTED_COMPONENTS
COCYCLES | FUNDAMENTAL_GROUP_GEN_LABELS | N_FACETS
COHOMOLOGY | F_VECTOR | N_MINIMAL_NON_FACES
COLORING | GENUS | N_VERTICES
CONNECTED | GEOMETRIC_REALIZATION | ODD_SUBCOMPLEX
CONNECTED_COMPONENTS | GRAPH | ORIENTATION
CONNECTIVITY | GRAPH_SIGNATURE | ORIENTED_PSEUDO_MANIFOLD
CYCLES | G_DIM | PROJ_DICTIONARY
DESCRIPTION | HASSE_DIAGRAM | PROJ_ORBITS
DIM | HOMOLOGY | PSEUDO_MANIFOLD
DUAL_BIPARTITE | INPUT_FACES | PURE
DUAL_COLORING | INTERSECTION_FORM | SIGNATURE
DUAL_CONNECTED | LOCALLY_STRONGLY_CONNECTED | SPHERE
DUAL_CONNECTED_COMPONENTS | MANIFOLD | STIEFEL_WHITNEY
DUAL_CONNECTIVITY | MAX_CLIQUES | SURFACE
DUAL_GRAPH | MINIMAL_NON_FACES | VERTEX_DEGREES
DUAL_GRAPH_SIGNATURE | MIXED_GRAPH | VERTEX_LABELS
DUAL_MAX_CLIQUES | MORSE_MATCHING | VOLUME

methods:

VISUAL | VISUAL_FACE_LATTICE | VISUAL_MIXED_GRAPH
VISUAL_DUAL_GRAPH | VISUAL_GRAPH | fundamental2gap